package WEB-INF.classes.wenrgise.hrms.webtier.form;

import wenrgise.hrms.webtier.form.HrmBaseForm;

public class HrmLvEncashForm extends HrmBaseForm {
  private String employeeNumber;
  
  private String firstName;
  
  private String middleName;
  
  private String lastName;
  
  private String grade;
  
  private String designation;
  
  private String location;
  
  private String fromDate;
  
  private String toDate;
  
  private String leaveCodes;
  
  private String description;
  
  private String dateApplied;
  
  private String daysEncashed;
  
  private String encashedAmount;
  
  private String changeStatus;
  
  private String employeeId;
  
  private String leaveCodeId;
  
  private String allFlag;
  
  private String totalEncashLimit;
  
  private String disabdescription;
  
  private String disabdaysEncashed;
  
  private String disabencashedAmount;
  
  private String disabchangeStatus;
  
  private String butFromDate;
  
  private String disabbutFromDate;
  
  private String butToDate;
  
  private String disabbutToDate;
  
  private String butLeaveCodes;
  
  private String disabbutLeaveCodes;
  
  private String butDateApplied;
  
  private String disabbutDateApplied;
  
  private String disabbutApprove;
  
  private String disabbutSubmit;
  
  private String disabbutReject;
  
  private String taxAmount;
  
  private String pfDeduction;
  
  private String eligibleAmount;
  
  private String disabtaxPercentage;
  
  private String level;
  
  String disabtaxAmount;
  
  String butEmpNo;
  
  public String disabbutEmpNo;
  
  private String lvTxnId;
  
  private String lvApplnFromDate;
  
  private String lvApplnToDate;
  
  public String getEmployeeNumber() {
    return this.employeeNumber;
  }
  
  public void setEmployeeNumber(String newEmployeeNumber) {
    this.employeeNumber = newEmployeeNumber;
  }
  
  public String getFirstName() {
    return this.firstName;
  }
  
  public void setFirstName(String newFirstName) {
    this.firstName = newFirstName;
  }
  
  public String getMiddleName() {
    return this.middleName;
  }
  
  public void setMiddleName(String newMiddleName) {
    this.middleName = newMiddleName;
  }
  
  public String getLastName() {
    return this.lastName;
  }
  
  public void setLastName(String newLastName) {
    this.lastName = newLastName;
  }
  
  public String getGrade() {
    return this.grade;
  }
  
  public void setGrade(String newGrade) {
    this.grade = newGrade;
  }
  
  public String getDesignation() {
    return this.designation;
  }
  
  public void setDesignation(String newDesignation) {
    this.designation = newDesignation;
  }
  
  public String getLocation() {
    return this.location;
  }
  
  public void setLocation(String newLocation) {
    this.location = newLocation;
  }
  
  public String getFromDate() {
    return this.fromDate;
  }
  
  public void setFromDate(String newFromDate) {
    this.fromDate = newFromDate;
  }
  
  public String getToDate() {
    return this.toDate;
  }
  
  public void setToDate(String newToDate) {
    this.toDate = newToDate;
  }
  
  public String getLeaveCodes() {
    return this.leaveCodes;
  }
  
  public void setLeaveCodes(String newLeaveCodes) {
    this.leaveCodes = newLeaveCodes;
  }
  
  public String getDescription() {
    return this.description;
  }
  
  public void setDescription(String newDescription) {
    this.description = newDescription;
  }
  
  public String getDateApplied() {
    return this.dateApplied;
  }
  
  public void setDateApplied(String newDateApplied) {
    this.dateApplied = newDateApplied;
  }
  
  public String getDaysEncashed() {
    return this.daysEncashed;
  }
  
  public void setDaysEncashed(String newDaysEncashed) {
    this.daysEncashed = newDaysEncashed;
  }
  
  public String getEncashedAmount() {
    return this.encashedAmount;
  }
  
  public void setEncashedAmount(String newEncashedAmount) {
    this.encashedAmount = newEncashedAmount;
  }
  
  public String getChangeStatus() {
    return this.changeStatus;
  }
  
  public void setChangeStatus(String newChangeStatus) {
    this.changeStatus = newChangeStatus;
  }
  
  public String getEmployeeId() {
    return this.employeeId;
  }
  
  public void setEmployeeId(String newEmployeeId) {
    this.employeeId = newEmployeeId;
  }
  
  public String getLeaveCodeId() {
    return this.leaveCodeId;
  }
  
  public void setLeaveCodeId(String newLeaveCodeId) {
    this.leaveCodeId = newLeaveCodeId;
  }
  
  public String getAllFlag() {
    return this.allFlag;
  }
  
  public void setAllFlag(String newAllFlag) {
    this.allFlag = newAllFlag;
  }
  
  public String getTotalEncashLimit() {
    return this.totalEncashLimit;
  }
  
  public void setTotalEncashLimit(String newTotalEncashLimit) {
    this.totalEncashLimit = newTotalEncashLimit;
  }
  
  public String getDisabdescription() {
    return this.disabdescription;
  }
  
  public void setDisabdescription(String newDisabdescription) {
    this.disabdescription = newDisabdescription;
  }
  
  public String getDisabdaysEncashed() {
    return this.disabdaysEncashed;
  }
  
  public void setDisabdaysEncashed(String newDisabdaysEncashed) {
    this.disabdaysEncashed = newDisabdaysEncashed;
  }
  
  public String getDisabencashedAmount() {
    return this.disabencashedAmount;
  }
  
  public void setDisabencashedAmount(String newDisabencashedAmount) {
    this.disabencashedAmount = newDisabencashedAmount;
  }
  
  public String getDisabchangeStatus() {
    return this.disabchangeStatus;
  }
  
  public void setDisabchangeStatus(String newDisabchangeStatus) {
    this.disabchangeStatus = newDisabchangeStatus;
  }
  
  public String getButFromDate() {
    return this.butFromDate;
  }
  
  public void setButFromDate(String newButFromDate) {
    this.butFromDate = newButFromDate;
  }
  
  public String getDisabbutFromDate() {
    return this.disabbutFromDate;
  }
  
  public void setDisabbutFromDate(String newDisabbutFromDate) {
    this.disabbutFromDate = newDisabbutFromDate;
  }
  
  public String getButToDate() {
    return this.butToDate;
  }
  
  public void setButToDate(String newButToDate) {
    this.butToDate = newButToDate;
  }
  
  public String getDisabbutToDate() {
    return this.disabbutToDate;
  }
  
  public void setDisabbutToDate(String newDisabbutToDate) {
    this.disabbutToDate = newDisabbutToDate;
  }
  
  public String getButLeaveCodes() {
    return this.butLeaveCodes;
  }
  
  public void setButLeaveCodes(String newButLeaveCodes) {
    this.butLeaveCodes = newButLeaveCodes;
  }
  
  public String getDisabbutLeaveCodes() {
    return this.disabbutLeaveCodes;
  }
  
  public void setDisabbutLeaveCodes(String newDisabbutLeaveCodes) {
    this.disabbutLeaveCodes = newDisabbutLeaveCodes;
  }
  
  public String getButDateApplied() {
    return this.butDateApplied;
  }
  
  public void setButDateApplied(String newButDateApplied) {
    this.butDateApplied = newButDateApplied;
  }
  
  public String getDisabbutDateApplied() {
    return this.disabbutDateApplied;
  }
  
  public void setDisabbutDateApplied(String newDisabbutDateApplied) {
    this.disabbutDateApplied = newDisabbutDateApplied;
  }
  
  public String getDisabbutApprove() {
    return this.disabbutApprove;
  }
  
  public void setDisabbutApprove(String newDisabbutApprove) {
    this.disabbutApprove = newDisabbutApprove;
  }
  
  public String getDisabbutSubmit() {
    return this.disabbutSubmit;
  }
  
  public void setDisabbutSubmit(String newDisabbutSubmit) {
    this.disabbutSubmit = newDisabbutSubmit;
  }
  
  public String getDisabbutReject() {
    return this.disabbutReject;
  }
  
  public void setDisabbutReject(String newDisabbutReject) {
    this.disabbutReject = newDisabbutReject;
  }
  
  public String getTaxAmount() {
    return this.taxAmount;
  }
  
  public void setTaxAmount(String newTaxAmount) {
    this.taxAmount = newTaxAmount;
  }
  
  public String getPfDeduction() {
    return this.pfDeduction;
  }
  
  public void setPfDeduction(String newPfDeduction) {
    this.pfDeduction = newPfDeduction;
  }
  
  public String getEligibleAmount() {
    return this.eligibleAmount;
  }
  
  public void setEligibleAmount(String newEligibleAmount) {
    this.eligibleAmount = newEligibleAmount;
  }
  
  public String getDisabtaxPercentage() {
    return this.disabtaxPercentage;
  }
  
  public void setDisabtaxPercentage(String newDisabtaxPercentage) {
    this.disabtaxPercentage = newDisabtaxPercentage;
  }
  
  public String getLevel() {
    return this.level;
  }
  
  public void setLevel(String newLevel) {
    this.level = newLevel;
  }
  
  public String getDisabtaxAmount() {
    return this.disabtaxAmount;
  }
  
  public void setDisabtaxAmount(String newDisabtaxAmount) {
    this.disabtaxAmount = newDisabtaxAmount;
  }
  
  public String getButEmpNo() {
    return this.butEmpNo;
  }
  
  public void setButEmpNo(String newButEmpNo) {
    this.butEmpNo = newButEmpNo;
  }
  
  public String getDisabbutEmpNo() {
    return this.disabbutEmpNo;
  }
  
  public void setDisabbutEmpNo(String newDisabbutEmpNo) {
    this.disabbutEmpNo = newDisabbutEmpNo;
  }
  
  public String getLvTxnId() {
    return this.lvTxnId;
  }
  
  public void setLvTxnId(String newLvTxnId) {
    this.lvTxnId = newLvTxnId;
  }
  
  public String getLvApplnFromDate() {
    return this.lvApplnFromDate;
  }
  
  public void setLvApplnFromDate(String newLvApplnFromDate) {
    this.lvApplnFromDate = newLvApplnFromDate;
  }
  
  public String getLvApplnToDate() {
    return this.lvApplnToDate;
  }
  
  public void setLvApplnToDate(String newLvApplnToDate) {
    this.lvApplnToDate = newLvApplnToDate;
  }
}
